Subject: Re: bug#43615: 26.3; eshell: face for directory and symlink the same in terminal

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Sep 2020 12:58:39 +0300

> From: [email-masked] (Alfred M. Szmidt)
> CC: [email-masked]
> Date: Sat, 26 Sep 2020 05:45:14 -0400
> 
>    Plain files could just be left at the default face, no?  
> 
> Yes.
> 
>    That would leave us with directory, symlink, executable, and
>    backup/product/clutter, 4 colors.  Maybe also add archive, which
>    yields 5 colors.  Makes sense?
> 
> Yes (though I don't understand why archive needs to be a different
> face -- but that is a different problem too).  I think it would be
> useful to differentate at least "special"?

We could add "special", yes, as we still have one more color.

I think archives should have distinct colors because that's what I see
when I run 'ls' on an 8-color terminal.